<ion-header>
    <ion-toolbar>
      <ion-title>View Spot</ion-title>
      <ion-buttons slot="primary">
        <ion-button (click)="closeModal()">
          <ion-icon slot="icon-only" name="close"></ion-icon>
        </ion-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>
  
  <ion-content class="ion-padding">
 
  
    <ion-list>
  
      <ion-item>
        <ion-label>Name 
            <p>{{spotDatas.name}}</p>
        </ion-label>
      </ion-item>
  
      <ion-item>
          <ion-label>Description 
              <p>{{spotDatas.description}}</p>
          </ion-label>
      </ion-item>
  
      <ion-item>
          <ion-label>Type 
              <p>{{spotDatas.type}}</p>
          </ion-label>
      </ion-item>
  
      <ion-list-header>
          Hours
      </ion-list-header>
  
      <ion-item-sliding *ngFor="let hour of spotDatas.hours">
        <ion-item>
          <ion-label>
              <h2>{{hour.type}}</h2>
              <h3>{{hour.day | date: "dd/MM/yyyy"}}</h3>
              <p>Time Start : {{hour.start_time | date: "hh:mm a"}}</p>
              <p>Time End : {{hour.end_time | date: "hh:mm a"}}</p>
            </ion-label>
        </ion-item>
      </ion-item-sliding>
  
      <ion-list-header>
        Menus
      </ion-list-header>
  
      <ion-item-sliding *ngFor="let menu of spotDatas.menu">
        <ion-item>
          <ion-label>
            <h2>{{menu.name}}</h2>
            <h3>{{menu.description}}</h3>
            <p>Price Start : {{menu.price.start}}</p>
            <p>Price End : {{menu.price.end}}</p>
          </ion-label>
        </ion-item>
      </ion-item-sliding>
  
  
    </ion-list>
  
  
  </ion-content>
